/**
 * output package name
 */
package com.kingdee.eas.custom.log.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class DataDirectionEnum extends StringEnum
{
    public static final String FLOWINTO_VALUE = "1";//alias=ΑχΘλ
    public static final String OUTFLOW_VALUE = "2";//alias=Αχ³φ

    public static final DataDirectionEnum flowInto = new DataDirectionEnum("flowInto", FLOWINTO_VALUE);
    public static final DataDirectionEnum outflow = new DataDirectionEnum("outflow", OUTFLOW_VALUE);

    /**
     * construct function
     * @param String dataDirectionEnum
     */
    private DataDirectionEnum(String name, String dataDirectionEnum)
    {
        super(name, dataDirectionEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static DataDirectionEnum getEnum(String dataDirectionEnum)
    {
        return (DataDirectionEnum)getEnum(DataDirectionEnum.class, dataDirectionEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(DataDirectionEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(DataDirectionEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(DataDirectionEnum.class);
    }
}